package com.heyu.api.data.dao.vv;
/**
* <p>
* 评论是否有用 服务类
* </p>
*
* @author quyixiao
* @since 2025-08-25
*/
import com.heyu.api.data.entity.vv.VvCommentUserfulEntity;
import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.lz.mybatis.plugin.annotations.IN;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface VvCommentUserfulDao extends BaseMapper<VvCommentUserfulEntity> {


	VvCommentUserfulEntity selectVvCommentUserfulById(@Param("id")Long id);


	Long insertVvCommentUserful(VvCommentUserfulEntity vvCommentUserful);


	Long insertOrUpdateVvCommentUserful(VvCommentUserfulEntity vvCommentUserful);


	int updateVvCommentUserfulById(VvCommentUserfulEntity vvCommentUserful);


	int updateCoverVvCommentUserfulById(VvCommentUserfulEntity vvCommentUserful);


	int deleteVvCommentUserfulById(@Param("id")Long id);




	List<VvCommentUserfulEntity> selectVvCommentUserfulByCommentId(@IN List<Long> commentId, Long buyerId);



	VvCommentUserfulEntity selectVvCommentUserfulByCommentIdBuyerId(Long commentId, Long buyerId);
}